## luminance-hdr 2.6.0+dfsg

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.3)
CMAKE_POLICY(SET CMP0025 NEW)
CMAKE_POLICY(SET CMP0043 NEW)
CMAKE_POLICY(SET CMP0054 NEW)
CMAKE_POLICY(SET CMP0053 NEW)
PROJECT("Luminance HDR")

string(TOLOWER ${CMAKE_BUILD_TYPE} LOWERCASE_CMAKE_BUILD_TYPE)
if(LOWERCASE_CMAKE_BUILD_TYPE MATCHES "^(debug|release|relwithdebinfo|minsizerel)$")
    message(STATUS "CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}")
else()
    message(FATAL_ERROR "Invalid value for CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}\n"
        "CMAKE_BUILD_TYPE should be one of:\nDebug, Release, RelWithDebInfo, MinSizeRel")
endif()

if(LOWERCASE_CMAKE_BUILD_TYPE MATCHES "^(release|minsizerel)$")
    message(STATUS "Adding definitions: -DQT_NO_DEBUG_OUTPUT")
    add_definitions("-DQT_NO_DEBUG_OUTPUT")
endif()

# assume built-in pthreads on MacOS
IF(APPLE)
    enable_language(CXX)
    enable_language(C)
    set(CMAKE_THREAD_LIBS_INIT "-lpthread")
    set(CMAKE_HAVE_THREADS_LIBRARY 1)
    set(CMAKE_USE_WIN32_THREADS_INIT 0)
    set(CMAKE_USE_PTHREADS_INIT 1)
    set(THREADS_PREFER_PTHREAD_FLAG ON)
ENDIF()

# set include path for FindXXX.cmake files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/build_files/Modules")

# Global variables for CMake
include(build_files/Modules/Version.cmake)
include(build_files/Modules/GlobalSettings.cmake)
include(build_files/Modules/CompilerSettings.cmake)
include(build_files/Modules/Internationalization.cmake)

IF(TIMER_PROFILING)
    ADD_DEFINITIONS(-DTIMER_PROFILING)
ENDIF()

# ======== Enable GNU gsl inline code =======
IF(UNIX OR APPLE OR MINGW) # Visual Studio doesn't like this
    ADD_DEFINITIONS(-DHAVE_INLINE )
ENDIF()

# ======== Has branch prediction =======
include( CheckCXXSourceCompiles )

check_cxx_source_compiles( "int main() { int x = 0; if( __builtin_expect((x),0) ) x = 1; return 0; }" HAS_BRANCH_PREDICTION )

if( HAS_BRANCH_PREDICTION )
    set( BRANCH_PREDICTION 1 )
else( HAS_BRANCH_PREDICTION )
    set( BRANCH_PREDICTION 0 )
endif( HAS_BRANCH_PREDICTION )

# find and setup Qt5 for this project

find_package(Qt5Core             REQUIRED)
find_package(Qt5Concurrent       REQUIRED)
find_package(Qt5Widgets          REQUIRED)
find_package(Qt5Gui              REQUIRED)
# QtWebEngine is preferred web engine because QtWebKit is deprecated since Qt 5.5:
# https://wiki.qt.io/New-Features-in-Qt-5.5#Deprecated_Functionality. Unfortunately,
# some Qt distributions still provide QtWebKit instead of QtWebEngine. So first we
# try to find QtWebEngine and if not found, we fall back to QtWebKit.
find_package(Qt5WebEngineCore    QUIET)
if(Qt5WebEngineCore_FOUND)
    find_package(Qt5WebEngineWidgets REQUIRED)
else()
    find_package(Qt5WebKit           REQUIRED)
    find_package(Qt5WebKitWidgets    REQUIRED)
    add_definitions(-DUSE_DEPRECATED_QTWEBKIT)
endif()
find_package(Qt5Xml              REQUIRED)
find_package(Qt5Sql              REQUIRED)
find_package(Qt5Svg              REQUIRED)
find_package(Qt5Network          REQUIRED)
find_package(Qt5LinguistTools    REQUIRED)
find_package(Qt5PrintSupport     REQUIRED)
IF(WIN32)
    find_package(Qt5WinExtras)
ENDIF()

# Include the qtmain lib if we are on the windows platform
IF(WIN32)
    SET(LIBS ${LIBS} ${Qt5Core_QTMAIN_LIBRARIES})
ENDIF(WIN32)

set(LIBS ${LIBS}
    ${QT_QTCORE_LIBRARIES}  ${QT_QTGUI_LIBRARIES}  ${QT_QTNETWORK_LIBRARIES}
    ${QT_QTXML_LIBRARIES}   ${QT_QTSQL_LIBRARIES})

if(Qt5WebEngineCore_FOUND)
    message(STATUS "Building with QtWebEngine")
    set(LIBS ${LIBS} ${QT_QTWEBENGINE_LIBRARIES})
else()
    message(STATUS "Building with QtWebKit")
    set(LIBS ${LIBS} ${QT_QTWEBKIT_LIBRARIES})
endif()

FIND_PACKAGE(Git)
IF(GIT_FOUND)
    include(GetGitRevisionDescription)
    get_git_head_revision(GIT_REFSPEC GIT_SHA1)
ENDIF()

IF(WIN32)

    # Windows Section

    # to not define min/max macros, which cause troubles with STL and boost
    ADD_DEFINITIONS(-DNOMINMAX)
    IF(MINGW)
        find_package(PkgConfig)
        pkg_check_modules(FFTW3F REQUIRED fftw3f)
        SET(FFTWF_LIBRARIES "libfftw3f.a")
        pkg_check_modules(LCMS REQUIRED lcms2>=2.6)
        pkg_check_modules(LIBRAW REQUIRED libraw)
        ADD_DEFINITIONS("-DDEMOSAICING_GPL2")
        ADD_DEFINITIONS("-DDEMOSAICING_GPL3")
        find_package(OpenMP)
        IF(OPENMP_FOUND)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS} -Werror=unknown-pragmas")
        ENDIF()
        FIND_PACKAGE(Eigen3 REQUIRED)
        INCLUDE_DIRECTORIES(${EIGEN3_INCLUDE_DIR})
    ELSE()
        SET(LIBRAW_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/libraw")
        SET(FFTWF_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/fftw3")
        SET(LCMS2_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/lcms2")

        # Enable multi processor compilation
        ADD_DEFINITIONS(/MP)

        # Enable SSE2
        IF(CMAKE_SIZEOF_VOID_P EQUAL 4)
            # SSE2 is on by default, on x64 platforms
            ADD_DEFINITIONS(/arch:SSE2)
        ENDIF()

        ADD_DEFINITIONS(-DUNICODE )
        ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS -D_REENTRANT)

        SET(LIBRAW_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/libraw/libraw.lib")
        ADD_DEFINITIONS("-DDEMOSAICING_GPL2")
        ADD_DEFINITIONS("-DDEMOSAICING_GPL3")

        SET(LCMS2_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/lcms2/lcms2.lib")
        ADD_DEFINITIONS(-DCMS_DLL)
        ADD_DEFINITIONS(-DUSE_LCMS2)

        INCLUDE_DIRECTORIES(${LIBRAW_INCLUDE_DIR} "${LIBRAW_INCLUDE_DIR}/libraw")
        INCLUDE_DIRECTORIES(${FFTWF_INCLUDE_DIR})
        INCLUDE_DIRECTORIES(${LCMS2_INCLUDE_DIR})
    ENDIF()
ELSE()
    # Unix & Apple part
    FIND_PACKAGE(LibRAW REQUIRED)
    INCLUDE_DIRECTORIES(${LIBRAW_INCLUDE_DIR} "${LIBRAW_INCLUDE_DIR}/libraw")

    FIND_PACKAGE(fftwf REQUIRED)
    INCLUDE_DIRECTORIES(${FFTWF_INCLUDE_DIR})

    FIND_PACKAGE(lcms2 REQUIRED)
    INCLUDE_DIRECTORIES(${LCMS2_INCLUDE_DIR})

    FIND_PACKAGE(Eigen3 REQUIRED)
    INCLUDE_DIRECTORIES(${EIGEN3_INCLUDE_DIR})
ENDIF()

IF(WIN32)
    SET(Boost_USE_STATIC_LIBS ON)
ENDIF()
FIND_PACKAGE(Boost REQUIRED COMPONENTS program_options thread chrono system date_time)
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIR})

FIND_PACKAGE(exiv2 REQUIRED)
INCLUDE_DIRECTORIES(${EXIV2_INCLUDE_DIR} "${EXIV2_INCLUDE_DIR}/exiv2")

FIND_PACKAGE(TIFF REQUIRED)
INCLUDE_DIRECTORIES(${TIFF_INCLUDE_DIR})

FIND_PACKAGE(PNG REQUIRED)
INCLUDE_DIRECTORIES(${PNG_INCLUDE_DIR})

FIND_PACKAGE(OpenEXR REQUIRED)
INCLUDE_DIRECTORIES(${OPENEXR_INCLUDE_DIR} "${OPENEXR_INCLUDE_DIR}/OpenEXR")

FIND_PACKAGE(GSL REQUIRED)
INCLUDE_DIRECTORIES(${GSL_INCLUDE_DIR} ${GSLCBLAS_INCLUDE_DIR})

FIND_PACKAGE(JPEG REQUIRED)
INCLUDE_DIRECTORIES(${JPEGLIB_INCLUDE_DIR})

FIND_PACKAGE(CFITSIO)
IF(CFITSIO_FOUND)
    INCLUDE_DIRECTORIES(${CFITSIO_INCLUDE_DIR})
    SET(LIBS ${LIBS} ${CFITSIO_LIBRARIES})
    ADD_DEFINITIONS(-DHAVE_CFITSIO)
ELSE()
    MESSAGE(WARNING "cfitsio not found! Building without FITS support!")
ENDIF()

SET(LIBS ${LIBS} ${OPENEXR_LIBRARIES})
SET(LIBS ${LIBS} ${TIFF_LIBRARIES})
SET(LIBS ${LIBS} ${LIBRAW_LIBRARIES})
SET(LIBS ${LIBS} ${FFTWF_LIBRARIES})
ADD_DEFINITIONS(-DHAVE_FFTW3F)
SET(LIBS ${LIBS} ${GSL_LIBRARIES} ${GSLCBLAS_LIBRARIES})
SET(LIBS ${LIBS} ${EXIV2_LIBRARIES})
SET(LIBS ${LIBS} ${JPEG_LIBRARIES})
SET(LIBS ${LIBS} ${LCMS2_LIBRARIES})
SET(LIBS ${LIBS} ${PNG_LIBRARIES})
SET(LIBS ${LIBS} ${Boost_LIBRARIES})

INCLUDE_DIRECTORIES("${CMAKE_SOURCE_DIR}/src/")
INCLUDE_DIRECTORIES("${CMAKE_BINARY_DIR}/src/")
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

SET(LUMINANCE_HDR_H )
SET(LUMINANCE_HDR_SRC )

SET(LUMINANCE_HDR_H ${LUMINANCE_HDR_H}
    src/arch/math.h
    src/arch/malloc.h
    src/arch/string.h
    src/arch/freebsd/math.h
    src/arch/msvc/math.h
)

SET(LUMINANCE_HDR_RCCS icons.qrc)
QT5_ADD_RESOURCES(LUMINANCE_HDR_RCCS_SRCS ${LUMINANCE_HDR_RCCS})

ADD_SUBDIRECTORY(src)

IF(ENABLE_UNIT_TEST)
    ENABLE_TESTING()
    ADD_SUBDIRECTORY(test)
ENDIF(ENABLE_UNIT_TEST)

# translations
FILE(GLOB LUMINANCE_TS i18n/lang_*.ts)

IF(UPDATE_TRANSLATIONS)
    SET(LUMINANCE_TS ${LUMINANCE_TS} i18n/source.ts)
    IF(LUPDATE_NOOBSOLETE)
        QT5_CREATE_TRANSLATION(LUMINANCE_QM ${FILES_TO_TRANSLATE} ${LUMINANCE_TS} OPTIONS -noobsolete)
    ELSE()
        QT5_CREATE_TRANSLATION(LUMINANCE_QM ${FILES_TO_TRANSLATE} ${LUMINANCE_TS})
    ENDIF()
    IF(UNIX)
        IF(NOT APPLE) # Sadly on Linux Qt5 add global include paths in list of translation files, let's get rid of them
            EXECUTE_PROCESS(COMMAND ${CMAKE_SOURCE_DIR}/build_files/platforms/linux/sanitize_translations.sh
                WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
        ENDIF(NOT APPLE)
    ENDIF(UNIX)
ELSE(UPDATE_TRANSLATIONS)
    QT5_ADD_TRANSLATION(LUMINANCE_QM ${LUMINANCE_TS})
ENDIF(UPDATE_TRANSLATIONS)

ADD_CUSTOM_TARGET(translations_target DEPENDS ${LUMINANCE_QM})

SET(LUMINANCE_FILES
    ${LUMINANCE_HDR_H}
    ${LUMINANCE_HDR_CPP}
    ${LUMINANCE_HDR_RCCS_SRCS}
    ${LUMINANCE_QM})

# MacOSX
IF(APPLE)
    SET(CMAKE_INSTALL_PREFIX ".")

    # Set Bundle settings
    set(MACOSX_BUNDLE_INFO_STRING          "${LHDR_NAME} ${LHDR_VERSION}")
    set(MACOSX_BUNDLE_BUNDLE_VERSION       "${LHDR_NAME} ${LHDR_VERSION}")
    set(MACOSX_BUNDLE_LONG_VERSION_STRING  "${LHDR_NAME} ${LHDR_VERSION}")
    set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${LHDR_VERSION}")
    set(MACOSX_BUNDLE_VERSION              "${LHDR_VERSION}")
    set(MACOSX_BUNDLE_ICON_FILE            "${CMAKE_SOURCE_DIR}/program-icons/luminance.icns")
    set(MACOSX_BUNDLE_ICON                 "${CMAKE_SOURCE_DIR}/program-icons/luminance.icns")
    set(MACOSX_BUNDLE_RESOURCES            "${CMAKE_CURRENT_BINARY_DIR}/${LHDR_OSX_EXECUTABLE_NAME}.app/Contents/Resources")
    set(MACOSX_BUNDLE_GUI_IDENTIFIER       "${LHDR_DOMAIN_SECOND}.${LHDR_DOMAIN_FIRST}")
    set(MACOSX_BUNDLE_BUNDLE_NAME          "${LHDR_NAME}")

    configure_file( ${CMAKE_SOURCE_DIR}/build_files/platforms/macosx/Info.plist.in
                    ${CMAKE_BINARY_DIR}/Info.plist )

    # icon files to copy in the bundle
    SET(OSX_ICON_FILES "${CMAKE_SOURCE_DIR}/program-icons/luminance.icns")
    # include the icns files in the target
    SET(LUMINANCE_FILES ${LUMINANCE_FILES} ${OSX_ICON_FILES})

    # Build project (bundle and luminance-hdr-cli)
    SET( CMAKE_OSX_ARCHITECTURES x86_64 )  # Universal/Generic x86_64 build
    ADD_EXECUTABLE(${LHDR_OSX_EXECUTABLE_TARGET} MACOSX_BUNDLE ${LUMINANCE_FILES})
    ADD_EXECUTABLE(luminance-hdr-cli ${LUMINANCE_FILES} )
    set_property(TARGET ${LHDR_OSX_EXECUTABLE_TARGET} PROPERTY OUTPUT_NAME ${LHDR_OSX_EXECUTABLE_NAME})
    set_property(TARGET   luminance-hdr-cli           PROPERTY RUNTIME_OUTPUT_DIRECTORY ${LHDR_OSX_EXECUTABLE_NAME}.app/Contents/MacOS)

    # Mac bundle magic
    SET_TARGET_PROPERTIES( ${LHDR_OSX_EXECUTABLE_TARGET} PROPERTIES MACOSX_BUNDLE_INFO_PLIST
                           "${CMAKE_BINARY_DIR}/Info.plist" )

    # set where in the bundle to put the icns files
    SET_SOURCE_FILES_PROPERTIES(${OSX_ICON_FILES}  PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    # set where in the bundle to put the translation files
    SET_SOURCE_FILES_PROPERTIES(${LUMINANCE_QM}    PROPERTIES MACOSX_PACKAGE_LOCATION Resources/i18n)
    SET_SOURCE_FILES_PROPERTIES(${LUMINANCE_QT_QM} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/i18n)

    # QT magic
    TARGET_LINK_LIBRARIES(${LHDR_OSX_EXECUTABLE_TARGET} Qt5::Core Qt5::Gui Qt5::Widgets)
    TARGET_LINK_LIBRARIES(luminance-hdr-cli Qt5::Core Qt5::Gui Qt5::Widgets)

    # Link libraries
    TARGET_LINK_LIBRARIES(${LHDR_OSX_EXECUTABLE_TARGET} ${LUMINANCE_MODULES_GUI} ${LIBS})
    TARGET_LINK_LIBRARIES(luminance-hdr-cli             ${LUMINANCE_MODULES_CLI} ${LIBS})

    # Rename generated executable binary to luminance-hdr
    add_custom_command(
    TARGET ${LHDR_OSX_EXECUTABLE_TARGET}
    POST_BUILD
    COMMAND mv ${LHDR_OSX_EXECUTABLE_NAME}.app/Contents/MacOS/${LHDR_OSX_EXECUTABLE_NAME} ${LHDR_OSX_EXECUTABLE_NAME}.app/Contents/MacOS/luminance-hdr
    )

=== test/CMakeLists.txt ===
find_package(Boost COMPONENTS program_options REQUIRED)

ADD_SUBDIRECTORY(ImageInspector)
ADD_SUBDIRECTORY(InputOutputTest)
ADD_SUBDIRECTORY(FusionAlgorithms)
ADD_SUBDIRECTORY(WhiteBalance)

# workaround for http://code.google.com/p/googletest/issues/detail?id=408
IF(MSVC_VERSION EQUAL 1700)
ADD_DEFINITIONS(-D_VARIADIC_MAX=10)
ENDIF()

FIND_PACKAGE(GTest)

IF(GTEST_FOUND)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src)
INCLUDE_DIRECTORIES(${GTEST_INCLUDE_DIRS})

IF(UNIX)
FIND_PACKAGE(Threads)
ENDIF(UNIX)

# Colorspace test
# LinearRGB -> XYZ / Y
ADD_EXECUTABLE(TestRGB2XYZ TestRGB2XYZ.cpp)
TARGET_LINK_LIBRARIES(TestRGB2XYZ pfs PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestRGB2XYZ TestRGB2XYZ)

# SRGB -> XYZ / Y
ADD_EXECUTABLE(TestSRGB2XYZ TestSRGB2XYZ.cpp)
TARGET_LINK_LIBRARIES(TestSRGB2XYZ pfs PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestSRGB2XYZ TestSRGB2XYZ)

ADD_EXECUTABLE(TestXYZ2RGB TestXYZ2RGB.cpp)
TARGET_LINK_LIBRARIES(TestXYZ2RGB pfs PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestXYZ2RGB TestXYZ2RGB)

ADD_EXECUTABLE(TestCMYK2RGB TestCMYK2RGB.cpp)
TARGET_LINK_LIBRARIES(TestCMYK2RGB PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestCMYK2RGB TestCMYK2RGB)

ADD_LIBRARY(ContrastDomain STATIC
    mantiuk06/contrast_domain.cpp
    mantiuk06/contrast_domain.h)

ADD_LIBRARY(PrintArray2D STATIC
    PrintArray2D.cpp PrintArray2D.h)

TARGET_LINK_LIBRARIES(ContrastDomain Qt5::Core)


# Mantiuk06
ADD_EXECUTABLE(TestMantiuk06Basic
    TestMantiuk06Basic.cpp)
IF(MSVC OR APPLE)
    TARGET_LINK_LIBRARIES(TestMantiuk06Basic
        ContrastDomain pfs pfstmo common
        ${GTEST_BOTH_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        ${LIBS} )
ELSE()
    TARGET_LINK_LIBRARIES(TestMantiuk06Basic
        ContrastDomain pfs pfstmo common
        ${GTEST_BOTH_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        ${LIBS} -lrt)
ENDIF()
TARGET_LINK_LIBRARIES(TestMantiuk06Basic Qt5::Core)

ADD_TEST(TestMantiuk06Basic TestMantiuk06Basic)

ADD_EXECUTABLE(TestMantiuk06Pyramid
    TestMantiuk06Pyramid.cpp
)
IF(MSVC OR APPLE)
    TARGET_LINK_LIBRARIES(TestMantiuk06Pyramid
        ContrastDomain pfs pfstmo common
        ${GTEST_BOTH_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        ${LIBS} )
ELSE()
    TARGET_LINK_LIBRARIES(TestMantiuk06Pyramid
        ContrastDomain pfs pfstmo common
        ${GTEST_BOTH_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        ${LIBS} -lrt)
ENDIF()
TARGET_LINK_LIBRARIES(TestMantiuk06Pyramid Qt5::Core)
ADD_TEST(TestMantiuk06Pyramid TestMantiuk06Pyramid)

ADD_EXECUTABLE(TestVex TestVex.cpp)
TARGET_LINK_LIBRARIES(TestVex
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestVex TestVex)

ADD_EXECUTABLE(TestVexDotProduct TestVexDotProduct.cpp)
TARGET_LINK_LIBRARIES(TestVexDotProduct
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestVexDotProduct TestVexDotProduct)

ADD_EXECUTABLE(TestPfsRotate TestPfsRotate.cpp CompareVector.h)
TARGET_LINK_LIBRARIES(TestPfsRotate pfs
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestPfsRotate TestPfsRotate)

ADD_EXECUTABLE(TestPfsShift TestPfsShift.cpp)
TARGET_LINK_LIBRARIES(TestPfsShift pfs
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestPfsShift TestPfsShift)

ADD_EXECUTABLE(TestConvertSample TestConvertSample.cpp)
TARGET_LINK_LIBRARIES(TestConvertSample PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestConvertSample TestConvertSample)

ADD_EXECUTABLE(TestPfsCut TestPfsCut.cpp SeqInt.h)
TARGET_LINK_LIBRARIES(TestPfsCut pfs PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestPfsCut TestPfsCut)

ADD_EXECUTABLE(TestFrameArray2D TestFrameArray2D.cpp)
TARGET_LINK_LIBRARIES(TestFrameArray2D pfs
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    ${LIBS})
ADD_TEST(TestFrameArray2D TestFrameArray2D)

ADD_EXECUTABLE(TestFloatRgb TestFloatRgb.cpp)
TARGET_LINK_LIBRARIES(TestFloatRgb common fileformat pfs
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    ${LIBS})
ADD_TEST(TestFloatRgb TestFloatRgb)
TARGET_LINK_LIBRARIES(TestFloatRgb Qt5::Core Qt5::Gui Qt5::Widgets)

ADD_EXECUTABLE(TestMTB TestMTB.cpp)
TARGET_LINK_LIBRARIES(TestMTB common pfs hdrcreation
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    ${LIBS})
ADD_TEST(TestMTB TestMTB)

ADD_EXECUTABLE(TestMinMax TestMinMax.cpp)
TARGET_LINK_LIBRARIES(TestMinMax ${GTEST_BOTH_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestMinMax TestMinMax)

ADD_EXECUTABLE(TestImageQualityDialog TestImageQualityDialog.cpp)
TARGET_LINK_LIBRARIES(TestImageQualityDialog ui fileformat pfs common ${LIBS})
TARGET_LINK_LIBRARIES(TestImageQualityDialog Qt5::Core Qt5::Gui Qt5::Widgets)

ADD_EXECUTABLE(TestHdrCreationWizard TestHdrCreationWizard.cpp)
IF(APPLE OR MSVC)
    TARGET_LINK_LIBRARIES(TestHdrCreationWizard
    ${LUMINANCE_MODULES_GUI} ${LIBS})
ELSEIF(UNIX)
    TARGET_LINK_LIBRARIES(TestHdrCreationWizard
    -Xlinker --start-group ${LUMINANCE_MODULES_GUI} -Xlinker --end-group
    ${LIBS})
ENDIF()
TARGET_LINK_LIBRARIES(TestHdrCreationWizard Qt5::Core Qt5::Gui Qt5::Widgets)

ADD_EXECUTABLE(TestFusionOperator TestFusionOperator.cpp)
IF(APPLE OR MSVC)
TARGET_LINK_LIBRARIES(TestFusionOperator
    ${Boost_PROGRAM_OPTIONS_LIBRARY} ${LUMINANCE_MODULES_CLI}
    ${LUMINANCE_MODULES_GUI} ${LIBS})
ELSE(UNIX)
TARGET_LINK_LIBRARIES(TestFusionOperator
    ${Boost_PROGRAM_OPTIONS_LIBRARY}
    -Xlinker --start-group ${LUMINANCE_MODULES_CLI} ${LUMINANCE_MODULES_GUI} -Xlinker --end-group ${LIBS})
ENDIF()
TARGET_LINK_LIBRARIES(TestFusionOperator Qt5::Core Qt5::Gui Qt5::Widgets)

ADD_EXECUTABLE(TestPoissonSolver TestPoissonSolver.cpp)
TARGET_LINK_LIBRARIES(TestPoissonSolver hdrwizard pfs pfstmo 
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    ${LIBS})
ADD_TEST(TestPoissonSolver TestPoissonSolver)

ENDIF(GTEST_FOUND)

=== src/Alignment/CMakeLists.txt ===
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/Align.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/Align.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(align STATIC ${FILES_H} ${FILES_CPP} ${FILES_MOC} )

TARGET_LINK_LIBRARIES(align Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Concurrent)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} align PARENT_SCOPE)

=== src/Common/CMakeLists.txt ===
CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/GitSHA1.cpp.in
                ${CMAKE_CURRENT_BINARY_DIR}/GitSHA1.cpp @ONLY)
CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/global.hxx.in
                ${CMAKE_CURRENT_BINARY_DIR}/global.hxx @ONLY)
CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
                ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/archs.h.in
                ${CMAKE_CURRENT_BINARY_DIR}/archs.h @ONLY)

SET(FILES_H
    ${CMAKE_CURRENT_SOURCE_DIR}/ProgressHelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/LuminanceOptions.h)
SET(FILES_HXX
    ${CMAKE_CURRENT_SOURCE_DIR}/TranslatorManager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/CommonFunctions.h
    ${CMAKE_CURRENT_SOURCE_DIR}/init_fftw.h)
SET(FILES_CPP
    ${CMAKE_CURRENT_SOURCE_DIR}/global.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/LuminanceOptions.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ProgressHelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/CommonFunctions.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/TranslatorManager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/init_fftw.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(common STATIC ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}
    ${CMAKE_CURRENT_BINARY_DIR}/global.hxx
    ${CMAKE_CURRENT_BINARY_DIR}/config.h
    ${CMAKE_CURRENT_BINARY_DIR}/GitSHA1.cpp)

TARGET_LINK_LIBRARIES(common Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Xml)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} common PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} common PARENT_SCOPE)

=== src/Core/CMakeLists.txt ===
#SET(FILES_UI )
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/IOWorker.h
${CMAKE_CURRENT_SOURCE_DIR}/TMWorker.h)
SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingOptions.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/IOWorker.cpp
${CMAKE_CURRENT_SOURCE_DIR}/TMWorker.cpp
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingOptions.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
# QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(core STATIC ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}
TARGET_LINK_LIBRARIES(core Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Sql Qt5::Xml)


SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} core PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} core PARENT_SCOPE)

=== src/HdrCreation/CMakeLists.txt ===
SET(FILES_HXX
    ${CMAKE_CURRENT_SOURCE_DIR}/debevec.h
    ${CMAKE_CURRENT_SOURCE_DIR}/robertson02.h
    ${CMAKE_CURRENT_SOURCE_DIR}/responses.h
    ${CMAKE_CURRENT_SOURCE_DIR}/weights.h
    ${CMAKE_CURRENT_SOURCE_DIR}/fusionoperator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/mtb_alignment.h
)
SET(FILES_CPP
    ${CMAKE_CURRENT_SOURCE_DIR}/debevec.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/robertson02.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/responses.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/weights.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/fusionoperator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/mtb_alignment.cpp
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(hdrcreation STATIC ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX})
TARGET_LINK_LIBRARIES(hdrcreation Qt5::Core)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} hdrcreation PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} hdrcreation PARENT_SCOPE)

=== src/HdrWizard/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/HdrWizard.ui
${CMAKE_CURRENT_SOURCE_DIR}/EditingTools.ui
${CMAKE_CURRENT_SOURCE_DIR}/HdrPreview.ui)

SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/AutoAntighosting.h)

SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/AutoAntighosting.cpp)

SET(FILES_H_QT
${CMAKE_CURRENT_SOURCE_DIR}/HdrWizard.h
${CMAKE_CURRENT_SOURCE_DIR}/EditingTools.h
${CMAKE_CURRENT_SOURCE_DIR}/PreviewWidget.h
${CMAKE_CURRENT_SOURCE_DIR}/HdrPreview.h)

SET(FILES_CPP_QT
${CMAKE_CURRENT_SOURCE_DIR}/HdrWizard.cpp
${CMAKE_CURRENT_SOURCE_DIR}/EditingTools.cpp
${CMAKE_CURRENT_SOURCE_DIR}/PreviewWidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/HdrPreview.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_UI(FILES_UI_H ${FILES_UI})
QT5_WRAP_CPP(FILES_MOC ${FILES_H_QT})

ADD_LIBRARY(hdrwizard STATIC ${FILES_H} ${FILES_H_QT} ${FILES_CPP} ${FILES_CPP_QT} ${FILES_MOC} ${FILES_UI_H})
TARGET_LINK_LIBRARIES(hdrwizard Qt5::Core Qt5::Concurrent Qt5::Gui Qt5::Widgets Qt5::Sql)

SET(FILES_CLI_H
${CMAKE_CURRENT_SOURCE_DIR}/HdrCreationItem.h
${CMAKE_CURRENT_SOURCE_DIR}/AutoAntighosting.h
${CMAKE_CURRENT_SOURCE_DIR}/WhiteBalance.h)

SET(FILES_CLI_H_QT
# ${CMAKE_CURRENT_SOURCE_DIR}/HdrInputLoader.h
${CMAKE_CURRENT_SOURCE_DIR}/HdrCreationManager.h)

SET(FILES_CLI_CPP
${CMAKE_CURRENT_SOURCE_DIR}/HdrCreationItem.cpp
${CMAKE_CURRENT_SOURCE_DIR}/AutoAntighosting.cpp
${CMAKE_CURRENT_SOURCE_DIR}/WhiteBalance.cpp)

SET(FILES_CLI_CPP_QT
# ${CMAKE_CURRENT_SOURCE_DIR}/HdrInputLoader.cpp
${CMAKE_CURRENT_SOURCE_DIR}/HdrCreationManager.cpp)

QT5_WRAP_CPP(FILES_CLI_MOC ${FILES_CLI_H_QT})
ADD_LIBRARY(hdrwizard-cli STATIC ${FILES_CLI_H} ${FILES_CLI_H_QT} ${FILES_CLI_CPP} ${FILES_CLI_CPP_QT} ${FILES_CLI_MOC})
TARGET_LINK_LIBRARIES(hdrwizard-cli Qt5::Core Qt5::Concurrent Qt5::Gui Qt5::Widgets Qt5::Sql)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE}
    ${FILES_CPP_QT} ${FILES_H_QT}
    ${FILES_CLI_CPP_QT} ${FILES_CLI_H_QT}
    ${FILES_UI}
    PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} hdrwizard-cli hdrwizard align PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} hdrwizard-cli align PARENT_SCOPE)

=== src/LibpfsAdditions/CMakeLists.txt ===
SET(FILES_H
	${CMAKE_CURRENT_SOURCE_DIR}/formathelper.h
)
# SET(FILES_HPP
# ${CMAKE_CURRENT_SOURCE_DIR}/ezETAProgressBar.hpp)
SET(FILES_CPP
	${CMAKE_CURRENT_SOURCE_DIR}/formathelper.cpp
)

QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(pfsadditions STATIC ${FILES_H} ${FILES_HPP} ${FILES_CPP} ${FILES_MOC})
TARGET_LINK_LIBRARIES(pfsadditions Qt5::Core Qt5::Gui Qt5::Widgets)

SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} pfsadditions PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} pfsadditions PARENT_SCOPE)

=== src/MainCli/CMakeLists.txt ===

SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/commandline.h)
SET(FILES_HPP
${CMAKE_CURRENT_SOURCE_DIR}/ezETAProgressBar.hpp)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/commandline.cpp
${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)

QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(main_cli STATIC ${FILES_H} ${FILES_HPP} ${FILES_CPP} ${FILES_MOC})
#TARGET_LINK_LIBRARIES(main_cli Qt5::Core Qt5::Gui Qt5::Widgets)
TARGET_LINK_LIBRARIES(main_cli Qt5::Core Qt5::Gui)


SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} main_cli PARENT_SCOPE)

=== src/MainGui/CMakeLists.txt ===
#SET(FILES_UI )
#SET(FILES_H )
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)

#QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(main_gui STATIC ${FILES_CPP}) # ${FILES_H}  ${FILES_MOC}
TARGET_LINK_LIBRARIES(main_gui Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Sql)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP}  PARENT_SCOPE) # ${FILES_H}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} main_gui PARENT_SCOPE)

=== src/MainWindow/CMakeLists.txt ===
SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.ui
${CMAKE_CURRENT_SOURCE_DIR}/DnDOption.ui
${CMAKE_CURRENT_SOURCE_DIR}/DonationDialog.ui
)
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.h
${CMAKE_CURRENT_SOURCE_DIR}/DnDOption.h
${CMAKE_CURRENT_SOURCE_DIR}/UpdateChecker.h
${CMAKE_CURRENT_SOURCE_DIR}/DonationDialog.h
)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.cpp
${CMAKE_CURRENT_SOURCE_DIR}/DnDOption.cpp
${CMAKE_CURRENT_SOURCE_DIR}/UpdateChecker.cpp
${CMAKE_CURRENT_SOURCE_DIR}/DonationDialog.cpp
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(mainwindow STATIC ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H})
TARGET_LINK_LIBRARIES(mainwindow Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Xml Qt5::Network Qt5::Concurrent)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} mainwindow PARENT_SCOPE)

=== src/PreviewPanel/CMakeLists.txt ===
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/PreviewPanel.h
${CMAKE_CURRENT_SOURCE_DIR}/PreviewLabel.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/PreviewPanel.cpp
${CMAKE_CURRENT_SOURCE_DIR}/PreviewLabel.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(previewpanel STATIC ${FILES_H} ${FILES_CPP} ${FILES_MOC})
TARGET_LINK_LIBRARIES(previewpanel Qt5::Core Qt5::Concurrent Qt5::Gui Qt5::Widgets)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} previewpanel PARENT_SCOPE)

=== debian/changelog ===
luminance-hdr (2.6.0+dfsg-2build6) groovy; urgency=medium

  * No change rebuild against new cfitsio ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:47:47 +0100

luminance-hdr (2.6.0+dfsg-2build5) groovy; urgency=medium

  * No change rebuild against new ilmbase ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:38:48 +0100

luminance-hdr (2.6.0+dfsg-2build4) groovy; urgency=medium

  * No-change rebuild against libgsl25

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 07 May 2020 22:16:20 +0000

luminance-hdr (2.6.0+dfsg-2build3) focal; urgency=medium

  * No-change rebuild for exiv2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Feb 2020 20:21:39 +0100

luminance-hdr (2.6.0+dfsg-2build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:01:02 +0000

luminance-hdr (2.6.0+dfsg-2build1) focal; urgency=medium

  * No-change rebuild against libilmbase24 and libopenexr24.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2019 07:25:29 +0000

luminance-hdr (2.6.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 Sep 2019 10:47:58 +0200

luminance-hdr (2.6.0+dfsg-1) experimental; urgency=low

  * Replace get-orig-source target with respective Files-Excluded statement in
    debian/copyright, add repacksuffix statement to debian/watch.
  * [lintian] Use DEB_VERSION_UPSTREAM from pkg-info.mk instead of parsing
    changelog.
  * Use dh 12 compat.
  * Simplify/shorten debian/rules.
  * Set Rules-Requires-Root: no.
  * Run "wrap-and-sort --max-line-length=72 --short-indent".
  * New upstream version.
   + Refresh patches, drop 05_upstream_qtwebkit.patch and
     65_fix-compilation-with-gcc9.patch.
   + Add 65_accept_buildtype_None.diff to accept CMAKE_BUILD_TYPE=None.
   + Add b-d on libeigen3-dev and a respective Built-Using field.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 23 Aug 2019 10:13:58 +0200

luminance-hdr (2.5.1+dfsg-4) unstable; urgency=medium

  * Fix FTBFS with gcc9. (Backported from upstream GIT). Closes: #925773
  * Point VCS-* to salsa.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 17 Aug 2019 19:13:08 +0200

=== debian/control ===
Source: luminance-hdr
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Metzler <ametzler@debian.org>,
 Leonardo Montecchi <lmontecchi@montex.org>
Build-Depends:
 cmake (>= 2.8.11),
 debhelper-compat (= 12),
 libboost-chrono-dev,
 libboost-date-time-dev,
 libboost-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libccfits-dev,
 libeigen3-dev,
 libexiv2-dev,
 libfftw3-dev,
 libgsl-dev,
 libjpeg-dev,
 liblcms2-dev,
 libopenexr-dev,
 libpng-dev,
 libqt5svg5-dev,
 libqt5webkit5-dev,
 libraw-dev,
 libtiff-dev,
 pkg-config,
 qtbase5-dev,
 qtdeclarative5-dev,
 qtscript5-dev,
 qttools5-dev (>= 5.2.1-7),
 qttools5-dev-tools
Rules-Requires-Root: no
Standards-Version: 4.4.0
Homepage: http://qtpfsgui.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/luminance-hdr
Vcs-Git: https://salsa.debian.org/debian-phototools-team/luminance-hdr.git

Package: luminance-hdr
Architecture: any
Built-Using: ${libeigen3-dev:Built-Using}
Depends:
 dcraw,
 hugin-tools,
 libqt5sql5-sqlite,
 ${misc:Depends},
 ${shlibs:Depends}
Description: graphical user interface providing a workflow for HDR imaging
 Features:
  * Create an HDR file from a set of images (formats: JPEG, TIFF 8bit and
    16bit, RAW) of the same scene taken at different exposure setting.
  * Save and load HDR images.
  * Rotate and resize HDR images.
  * Tonemap HDR images.
  * Copy exif data between sets of images.
 .
 Supported HDR formats:
  * OpenEXR (extension: exr).
  * Radiance RGBE (extension: hdr).
  * Tiff formats: 16bit, 32bit (float) and LogLuv (extension: tiff).
  * Raw image formats (extension: various).
  * PFS native format (extension: pfs).
 .
 Supported LDR formats: JPEG, PNG, PPM, PBM, TIFF (8 bit).

## luminance-hdr 2.6.1.1%2Bdfsg

=== src/Fileformat/CMakeLists.txt ===
#SET(FILES_UI )
SET(FILES_H )

SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/pfsoutldrimage.h
)

SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/pfsoutldrimage.cpp
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
# QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(fileformat STATIC ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}
TARGET_LINK_LIBRARIES(fileformat Qt5::Core Qt5::Gui Qt5::Widgets)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} fileformat PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} fileformat PARENT_SCOPE)

=== src/Libpfs/CMakeLists.txt ===
# List all .h/.hxx files in this directory
FILE(GLOB LIBPFS_H *.h)
FILE(GLOB LIBPFS_HXX *.hxx)
# List all .cpp files in this directory
FILE(GLOB LIBPFS_CPP *.cpp)

ADD_SUBDIRECTORY(manip)
ADD_SUBDIRECTORY(utils)
ADD_SUBDIRECTORY(tm)
ADD_SUBDIRECTORY(exif)
ADD_SUBDIRECTORY(colorspace)
ADD_SUBDIRECTORY(io)

ADD_LIBRARY(pfs STATIC ${LIBPFS_H} ${LIBPFS_HXX} ${LIBPFS_CPP})
TARGET_LINK_LIBRARIES(pfs Qt5::Core Qt5::Gui Qt5::Widgets)

SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} pfs PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} pfs PARENT_SCOPE)

=== src/OsIntegration/CMakeLists.txt ===
#SET(FILES_UI )

SET(FILES_H
    ${CMAKE_CURRENT_SOURCE_DIR}/osintegration.h
)

#SET(FILES_HXX

SET(FILES_CPP
    ${CMAKE_CURRENT_SOURCE_DIR}/osintegration.cpp
)
    
IF(WIN32)
    SET(FILES_H
        ${FILES_H}
        ${CMAKE_CURRENT_SOURCE_DIR}/ecwin7.h
    )
    SET(FILES_CPP
        ${FILES_CPP}
        ${CMAKE_CURRENT_SOURCE_DIR}/ecwin7.cpp
    )
ENDIF()

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
# QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(osintegration STATIC ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}
TARGET_LINK_LIBRARIES(osintegration Qt5::Core Qt5::Gui Qt5::Widgets)
IF(WIN32)
TARGET_LINK_LIBRARIES(osintegration Qt5::WinExtras)
ENDIF()

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} osintegration PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} osintegration PARENT_SCOPE)

=== debian/watch ===
version=4

opts="filenamemangle=s/.+\/v?\.?(\d\S+)\.tar\.gz/LuminanceHDR-$1\.tar\.gz/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg" \
  https://github.com/LuminanceHDR/LuminanceHDR/tags .*/v?\.?(\d\S+)\.tar\.gz
